Skip to content
Start here

Delete Field Extractor

client.fieldExtractors.delete(stringextractor, FieldExtractorDeleteParams { account_id } params, RequestOptionsoptions?): FieldExtractorDeleteResponse | null
DELETE/accounts/{account_id}/field_extractors/{extractor}

Deletes all custom extraction rules for an extractor type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
extractor: string

Extractor type.

minLength1
params: FieldExtractorDeleteParams { account_id }
account_id: string

Cloudflare account ID.

minLength1
ReturnsExpand Collapse
FieldExtractorDeleteResponse = unknown

Result is null.

Delete Field Extractor

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const fieldExtractor = await client.fieldExtractors.delete('llm_prompts', { account_id: '123456' });

console.log(fieldExtractor);
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true
}